KDE4-CONFIG(1)

NAME
kde4-config - Näitab KDE paigalduse asukohti

SYNOPSIS

kde4-config [--expandvars] [--prefix] [--exec-prefix] [--libsuffix] [--localprefix] [--version] [--types] [--path tüüp] [--userpath tüüp] [--install tüüp]

KIRJELDUS

kde4-config on käsureaprogramm teabe hankimiseks KDE paigalduse või kasutaja asukohtade kohta.

Selle programmiga saab kindlaks teha, kus asuvad sinu süsteemis KDE paigalduse erinevad osad.

VõTMED

--expandvars
    ${prefix} ja ${exec_prefix} avamine väljundis

--prefix
    KDE teekide kompileerimise prefiks

--exec-prefix
    KDE teekide kompileerimise exec_prefix

--libsuffix
    Kompileerimise teegi asukoha sufiks

--localprefix
    Failide kirjutamiseks kasutatav $HOME prefiks

--version
    KDE teekide kompileerimise versioonistring

--types
    Kõigi saadaolevate KDE ressursitüüpide nimekirja näitamine

--path tüüp
    Määratud tüübi otsingutee

--userpath tüüp
    Kasutaja otsingutee tüüpidele desktop|autostart|trash|document

--install tüüp
    Ressursifailide paigaldamise prefiks

NäITED

KDE paigalduse tippkataloogi näitamine:

% kde4-config --prefix

Kõigi ressursitüüpide nimekirja näitamine:

% kde4-config --types

Paigaldatud taustapildi asukoha näitamine:

% kde4-config --path wallpaper

VAATA KA

kdeoptions(7)

VEAD

Pole ühtegi teada.

AUTHOR
Stephan Kulow <coolo@kde.org>.